#include <iostream>
#include <queue>
#include <vector>
using namespace std;

#define MOD 998244353

struct Node {
	vector<int> child;
	int depth;
	long long count;
};

/**
 * Lessons
 *  - BFS/DFS
 *  - Probably should not name queue as queue
 *  - Modulo and numerical stability for large numbers
 */
int main() {

	int T;
	cin >> T;

	for(int test_case = 0; test_case < T; test_case++) {
		int N;
		cin >> N;

		Node nodes[N];
		for(int i = 1; i < N; i++) {
			int parent;
			cin >> parent;
			parent--;
			nodes[parent].child.push_back(i);
		}

		int count[N];
		for(int i = 0; i < N; i++) {
			count[i] = 0;
		}
		count[0] = 1;

		queue<Node*> queue;
		queue.push(nodes);
		nodes[0].depth = 0;
		while(!queue.empty()) {
			Node *explore = queue.front();
			queue.pop();
			for(int child : explore->child) {
				nodes[child].depth = explore->depth + 1;
				queue.push(nodes + child);
			}
			count[explore->depth + 1] += explore->child.size();
		}

		long long choices[N];
		for(int i = 0; i < N; i++) {
			choices[i] = 0;
		}

		nodes[0].count = 1;
		choices[0] = 1;
		for(int nbr : nodes[0].child) {
			nodes[nbr].count = 1;
			choices[1]++;
			queue.push(nodes + nbr);
		}
		while(!queue.empty()) {
			Node *explore = queue.front();
			queue.pop();
			for(int child : explore->child) {
				nodes[child].count = (choices[explore->depth] - explore->count + MOD) % MOD;
				choices[ nodes[child].depth ] = (choices[ nodes[child].depth ] + nodes[child].count) % MOD;
				queue.push(nodes + child);
			}
		}

		long long result = 0;
		for(Node node : nodes) {
			result = (result + node.count) % MOD;
		}

		cout << result << '\n';
	}

	return 0;
}

